.container {
  height: calc(100vh - 9.5rem);
  background-color: rgba(0, 0, 0, 0.6);
  overflow-y: auto;
}

.headerContainer {
  height: calc(100vh - 13.5rem);
}

.hamburguerContainer {
  height: calc(100vh - 9.5rem);
  background-color: rgba(0, 0, 0, 0.9);
  overflow-y: auto;

  border-radius: 1rem;
  position: fixed;
  z-index: 1;
}

.hideScrollBar::-webkit-scrollbar {
  width: 0; /* Remove scrollbar space */
  background: transparent; /* Optional: just make scrollbar invisible */
}

.writting {
  font-family: "Typewriter";
  text-align: center;
  font-size: 1.5rem;
}

.writtingTitle {
  font-family: "BohemianTypewriter";
  text-align: center;
  color: cornflowerblue;
  font-size: 3rem;
  margin: 1rem 0;
  line-height: 1;
}

.indexTitle {
  font-family: "BohemianTypewriter";
  font-size: 2rem;
  line-height: 1;
  text-wrap: balance;
  min-width: 18rem;
}

.hamburguerMenu {
  display: flex;
  background-color: rgba(0, 0, 0, 0);
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

@media screen and (max-width: 992px) {
  .container {
    height: calc(100vh - 8rem);
  }
  .headerContainer {
    height: calc(100vh - 12rem);
  }
}

@media screen and (max-width: 900px) {
  .container {
    height: calc(100vh - 8rem);
  }
  .headerContainer {
    height: calc(100vh - 12rem);
  }
  .writting {
    font-size: 1.1rem;
  }

  .writtingTitle {
    font-size: 2.2rem;
  }
}

@media screen and (max-width: 610px) {
  .container {
    height: calc(100vh - 4.9rem);
  }
  .headerContainer {
    height: calc(100vh - 8.9rem);
  }
}

@media screen and (max-width: 420px) {
  .container {
    height: calc(100vh - 9.5rem);
  }
  .headerContainer {
    height: calc(100vh - 11.5rem);
  }  
  .hamburguerContainer {
    height: calc(100vh - 11rem);
    max-width: 18rem;
  }
  .writtingTitle {
    font-size: 1.8rem;
  }
  .writting {
    font-size: 1rem;
  }
}
